// Headings ////////////////////////////////////////////////////////////////////

h1, .h1,
h2, .h2,
h3, .h3,
h4, .h4,
h5, .h5 { line-height: 1.2; }

h1, .h1,
h2, .h2,
h3, .h3 {
  font-weight: bold;
  margin-top: 1em;
  margin-bottom: 1rem;
}

h4, .h4,
h5, .h5 {
  font-weight: bolder;
  marign-top: 0;
  margin-bottom: 0;
}

h1, .h1,
h2, .h2 { font-size: 32px; }

@media (min-width: $lg-breakpoint) {
  h1, .h1 { font-size: 48px; }
  h2, .h2 { font-size: 40px; }
}

h3, .h3 { font-size: 24px; }

@media (min-width: $lg-breakpoint) {
  h3, .h3 { font-size: 32px; }
}

h4, .h4,
h5, .h5 { font-size: 1rem; }

.subheading {
  color: $gray;
  font-size: 24px;
  margin-bottom: 1em;
}

// Text ////////////////////////////////////////////////////////////////////////

html, body {
  color: $black;
  font-family: $objektiv-font-family;
  font-weight: 200;
  font-size: 16px;
  line-height: 1.5;

  @media (min-width: $lg-breakpoint) {
    font-size: 18px;
  }
}

footer {
  font-family: $sourcesans-font-family;
}

small, .small { font-size: smaller; }

strong, .strong { font-weight: bolder; }

em, .em { font-style: italic; }

p {
  margin-top: 1rem;
  margin-bottom: 1rem;
}

sup {
  padding-left: 0.5em;
  padding-right: 0.2em;
}

// Links ///////////////////////////////////////////////////////////////////////

a {
  position: relative;
  color: $green;
  font-weight: 500;
  cursor: pointer;
  text-decoration: none;
}

a:hover,
a:active,
a:focus {
  color: $green;
  text-decoration: underline;
}

// Lists ///////////////////////////////////////////////////////////////////////

ol, ul, dl { padding: 0; }

// Unordered lists /////////////////////////////////////////////////////////////

ul { list-style-type: none; }

// Contiguous text /////////////////////////////////////////////////////////////

.no-wrap {
  white-space: nowrap;
}

// Forms ///////////////////////////////////////////////////////////////////////

label,
select,
textarea {
  font-weight: normal;
  font-family: $objektiv-font-family;
}

// Buttons /////////////////////////////////////////////////////////////////////

.button,
button {
  font-family: $sourcesans;
  font-weight: 600;
}
